# Load the normal support files.
require 'sketchup.rb'
require 'extensions.rb'


# Create the extension.
ext = SketchupExtension.new 'AE Ruby Console',
    'ae_Console/Console.rb'

# Attach some nice info.
ext.creator     = 'Aerilius'
ext.version     = '0.6.3'
ext.copyright   = '2012, Andreas Eisenbarth'
ext.description = 'An alternative Ruby Console with command history and code highlighting.'

# Register and load the extension on startup.
Sketchup.register_extension ext, true
